Bug 214520 - xorg-x11-drv-via: Screen goes blank while X initializes
xorg-x11-drv-via: Screen goes blank while X initializes
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-openchrome (Show other bugs)
rawhide
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Xavier Bachelot
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-11-07 17:41 EST by Andrea Stroppolo
Modified: 2008-01-22 06:14 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-01-21 16:35:57 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
This is log for runlevel3+startx (when it works) (42.75 KB, text/plain)
2006-11-08 14:58 EST, Andrea Stroppolo
no flags Details
This is log for runlevel5 (when screen goes blank) (43.02 KB, text/plain)
2006-11-08 15:01 EST, Andrea Stroppolo
no flags Details
This is xorg.conf (1.43 KB, application/octet-stream)
2006-11-08 15:04 EST, Andrea Stroppolo
no flags Details

  None (edit)
Description Andrea Stroppolo 2006-11-07 17:41:53 EST
Description of problem:

The hardware:
[andrea@ipperit ~]$ /sbin/lspci
00:00.0 Host bridge: VIA Technologies, Inc. VT8378 [KM400/A] Chipset Host Bridge
00:01.0 PCI bridge: VIA Technologies, Inc. VT8235 PCI Bridge
00:07.0 CardBus bridge: Texas Instruments PCI1410 PC card Cardbus Controller
(rev 02)
00:08.0 FireWire (IEEE 1394): Texas Instruments TSB43AB21 IEEE-1394a-2000
Controller (PHY/Link)
00:10.0 USB Controller: VIA Technologies, Inc. VT82xxxxx UHCI USB 1.1 Controller
(rev 80)
00:10.1 USB Controller: VIA Technologies, Inc. VT82xxxxx UHCI USB 1.1 Controller
(rev 80)
00:10.2 USB Controller: VIA Technologies, Inc. VT82xxxxx UHCI USB 1.1 Controller
(rev 80)
00:10.3 USB Controller: VIA Technologies, Inc. USB 2.0 (rev 82)
00:11.0 ISA bridge: VIA Technologies, Inc. VT8235 ISA Bridge
00:11.1 IDE interface: VIA Technologies, Inc.
VT82C586A/B/VT82C686/A/B/VT823x/A/C PIPC Bus Master IDE (rev 06)
00:11.5 Multimedia audio controller: VIA Technologies, Inc. VT8233/A/8235/8237
AC97 Audio Controller (rev 50)
00:11.6 Communication controller: VIA Technologies, Inc. AC'97 Modem Controller
(rev 80)
00:12.0 Ethernet controller: VIA Technologies, Inc. VT6102 [Rhine-II] (rev 74)
01:00.0 VGA compatible controller: VIA Technologies, Inc. VT8378 [S3 UniChrome]
Integrated Video (rev 01)
02:00.0 Ethernet controller: Marvell Technology Group Ltd. 88w8335 [Libertas]
802.11b/g Wireless (rev 03)

[andrea@ipperit ~]$ dmesg|grep agpg
Linux agpgart interface v0.101 (c) Dave Jones
agpgart: Detected VIA KM400/KM400A chipset
agpgart: AGP aperture is 256M @ 0xe0000000
[andrea@ipperit ~]$  



Recently I installed FC6 on my laptop.
Installer did not recognize the video card, it went with vesa driver, but
withoud acceleration.
I manually changed the driver from "vesa" to "via" in xorg.conf (on fc5 the card
worked correctly with 3d acceleration).
Now, what it happens is that when the machine boots in runlevel 5 (X11), when it
should appear the graphical login screen, the display goes blank. Machine is
alive (I can login via network... I can type blindly...), but I have no screen,
neither moving to virtual terminals works.
So I tried starting with runlevel 3 (no X). I log in in character mode, I
execute "startx" and X starts correctly with 3d acceleration enabled.

How can I have a machine starting with X instead of having to manually start it?


Version-Release number of selected component (if applicable):
xorg-x11-drv-via-0.2.1-7

How reproducible:
Always, on my machine (Acer Aspire 1353LC)

Steps to Reproduce:
1. Fresh FC6 install; grpahic card is not recognized.
2. Modify xorg.conf to use "via" driver instead of "vesa"
3. Boot in runlevel 5; screen goes blank instead of showing graphical login.
Machine accessible via network, but display unavailable
4. Boot in runlevel 3; login and type "startx"; X starts correctly and graphic
acceleration works.
  
Actual results:
In runlevel 5 machine boots with blank screen

Expected results:
X should start automatically, instead it starts only booting in runlevel 3 and
executing "startx"

Additional info:
I have no idea where/what to look at, please give some clue on how to proceed...
Thanks,
Andrea
Comment 1 Matěj Cepl 2006-11-08 04:55:46 EST
Thanks for the bug report.  We have reviewed the information you
have provided above, and there is some additional information we
require that will be helpful in our diagnosis of this issue.

Please attach your X server config file (/etc/X11/xorg.conf) and X
server log file (/var/log/Xorg.*.log) to the bug report as individual
uncompressed file attachments using the bugzilla file attachment link
below.

We will review this issue again once you've had a chance to attach
this information.

Thanks in advance.
Comment 2 Andrea Stroppolo 2006-11-08 14:58:55 EST
Created attachment 140703 [details]
This is log for runlevel3+startx (when it works)

This file is the log for the situation when X starts (boot in runlevel3, log-in
and startx manually)
Comment 3 Andrea Stroppolo 2006-11-08 15:01:17 EST
Created attachment 140704 [details]
This is log for runlevel5 (when screen goes blank)

This is the log when X fails to start (booting in runlevel 5)
Comment 4 Andrea Stroppolo 2006-11-08 15:04:30 EST
Created attachment 140705 [details]
This is xorg.conf

This is my xorg.conf. There are commented entries, in some attempts to fix the
thing. Anyway attached logs were produced with this exact conf
Comment 5 Andrea Stroppolo 2006-11-08 15:10:58 EST
Matej,
   thanks for supporting in this bug.

I attached the requested files, please let me know if I can help in any way.


Andrea
Comment 6 Karim 2006-11-11 16:52:18 EST
Hi, I have had the same problem, and i used the solution i found at openchrome.org
and actually i used these rpms : http://washington.kelkoo.net/epia/FC6/i386/
and it worked fine, now I guess the via-drv shiped with FC6 may be buggy

any clue about using aiglx with this chipset?

Thanks!
Comment 7 Matěj Cepl 2006-11-14 10:41:17 EST
Karim,

could you please give us URL of the solution at openchrome.org?

Thanks
Comment 8 Karim 2006-11-14 11:16:25 EST
Hi Matej,

As I said to Andrea, here's what I've done:

Well, I exactly use these rpms :
http://washington.kelkoo.net/epia/FC6/i386/
which are built with the sources of openchrome.

Actually Openchrome provides a solution in source code form, 
but there's folks arround that have built rpms for specific distros. 
The one above successfully made some for FC5 and I guess from 
his website that he's working on FC6 versions.

You can download this one:
http://washington.kelkoo.net/epia/FC6/i386/xorg-x11-drv-via-0.2.1.svn227-
1.fc6.i386.rpm

and do: rpm -Uvh --replacepkgs --replacefiles
xorg-x11-drv-via-0.2.1.svn227-1.fc6.i386.rpm

and that will replace the xorg-x11-drv-via shipped with FC6

For the xorg.conf, all i've changed is this:

Section "Device"
       Driver      "via" # <------- replaced the generic "vesa" with "via"
       Identifier  "Videocard0"
       VendorName  "Videocard vendor"
       BoardName   "VIA Technologies, Inc. Unknown device 3344"
EndSection

And that's all :)

Hope this may help.
Comment 9 Andrea Stroppolo 2006-11-14 16:36:14 EST
Hi all!!!

I tested the suggested package, but no luck: the behaviour is exactly the same
as previously reported...
Maybe the card is a different version...
This is the output for lspci -vvxxx for the VGA controller:

01:00.0 VGA compatible controller: VIA Technologies, Inc. VT8378 [S3 UniChrome]
Integrated Video (rev 01) (prog-if 00 [VGA])
        Subsystem: Acer Incorporated [ALI] Unknown device 0033
        Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr-
Stepping- SERR- FastB2B-
        Status: Cap+ 66MHz+ UDF- FastB2B- ParErr- DEVSEL=medium >TAbort-
<TAbort- <MAbort- >SERR- <PERR-
        Latency: 64 (500ns min)
        Interrupt: pin A routed to IRQ 4
        Region 0: Memory at f0000000 (32-bit, prefetchable) [size=64M]
        Region 1: Memory at d1000000 (32-bit, non-prefetchable) [size=16M]
        Capabilities: [60] Power Management version 2
                Flags: PMEClk- DSI+ D1+ D2+ AuxCurrent=0mA
PME(D0-,D1-,D2-,D3hot-,D3cold-)
                Status: D0 PME-Enable- DSel=0 DScale=0 PME-
        Capabilities: [70] AGP version 2.0
                Status: RQ=32 Iso- ArqSz=0 Cal=0 SBA+ ITACoh- GART64- HTrans-
64bit- FW- AGP3- Rate=x1,x2,x4
                Command: RQ=1 ArqSz=0 Cal=0 SBA- AGP- GART64- 64bit- FW- Rate=<none>
00: 06 11 05 72 07 00 30 02 01 00 00 03 00 40 00 00
10: 08 00 00 f0 00 00 00 d1 00 00 00 00 00 00 00 00
20: 00 00 00 00 00 00 00 00 00 00 00 00 25 10 33 00
30: 00 00 00 00 60 00 00 00 00 00 00 00 04 01 02 00
40: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00
50: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00
60: 01 70 22 06 00 00 00 00 00 00 00 00 00 00 00 00
70: 02 00 20 00 07 02 00 1f 00 00 00 00 00 00 00 00
80: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00
90: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00
a0: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00
b0: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00
c0: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00
d0: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00
e0: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00
f0: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00



Let me know if the xorg.log produced by this driver could serve: I will post.

Thanks again,
Andrea
Comment 10 Glenn Rottingen 2007-03-02 16:26:46 EST
I have a P5VDC-MX (assus) with VIA UniChrome video built in.

X86-64 FC6 works fine. All updates (upgrades).

i386 FC6 10/24 works fine.  Does not work after upgrade, since 1/15.  Will not 
use monitor (blank screen) for xorg.  Will boot to text mode. Has a new 
UniChrome driver been added to the i386 version (core or extras), if it has 
remove it and put the old driver, that worked, back in.
Comment 11 Adam Jackson 2007-11-28 11:10:48 EST
Mass migration: via -> openchrome.
Comment 12 Xavier Bachelot 2007-11-28 16:58:51 EST
Please retry with xorg-x11-drv-openchrome. This is the successor to
xorg-x11-drv-via. FWIW, I was the one providing the Fedora openchrome packages,
they are now in upstream Fedora.
Comment 13 Matěj Cepl 2008-01-21 10:38:22 EST
Reporter, could you please reply to the previous question? If you won't reply in
one month, I will have to close this bug as INSUFFICIENT_DATA. Thank you.
Comment 14 Andrea Stroppolo 2008-01-21 16:35:57 EST
The problem was reported than one year ago.
I do not have the affected machine any more available, it has been re-installed
with a different linux distribution.

Manage the issue at your will...
Comment 15 Xavier Bachelot 2008-01-22 06:14:23 EST
I'm sorry it took so long to give an answer to your request, but although I'm
maintaining this package for a long time, it entered Fedora only a few weeks ago.
Whatever distro you are using now, I would still appreciate if you can give a
run at the latest openchrome release. http://www.openchrome.org/releases
Feel free to sent me a private mail if you wish.

I'm closing this bug as INSUFFICIENT_DATA, sorry about that.

Regards,
Xavier

Note You need to log in before you can comment on or make changes to this bug.